#ifndef TOOL_H_
#define TOOL_H_

#include "Object.h"
#include <gtk/gtk.h>


class Tool : public Object {
  public:
    virtual ~Tool() {}
    
    virtual void activate() {};
    virtual void deactivate() {};
    
    virtual const char *getName() const {
      return getType();
    }
    
    virtual GtkWidget *getImage() = 0;
    virtual bool isSensitive() = 0;
};

#endif /*TOOL_H_*/
